Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IAppointment

All Superinterfaces
  ICalendarItem, IGroupwareItem, IItem, IMessagingItem, Serializable

All Known Subinterfaces:
  ICmAppointment

    public interface IAppointment

extends ICalendarItem

Represents an appointment in the groupware schema.

Field Summary
`static ItemClass` | `CLASS` The ItemClass that represents an appointment.

Fields inherited from interface com.compoze.collab.groupware.ICalendarItem
`BUSY_STATUS, DURATION, END_TIME, IS_ALL_DAY, IS_RECURRING, KEYID_BUSY_STATUS, KEYID_DURATION, KEYID_END_TIME, KEYID_IS_ALL_DAY, KEYID_IS_RECURRING, KEYID_LOCATION, KEYID_START_TIME, LOCATION, START_TIME`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`void` | `cancel(String sComment, boolean bSeries, boolean bSend, boolean bSaveInSent)` Cancels the appointment, if appropriate.
`void` | `setAllDayEvent(boolean bAllDayEvent)` Sets the appointment to appear as an all day event.
`void` | `setAllDayEvent(boolean bAllDayEvent, TimeZone timezone)` Sets the appointment to appear as an all day event.
`void` | `setBusyStatus(BusyStatus busyStatus)` Sets the busy status for this appointment.
`void` | `setDates(Date startTime, Date endTime)` Sets the dates for the appointment.
`void` | `setLocation(String sLocation)` Sets the location of the appointment.

Methods inherited from interface com.compoze.collab.groupware.ICalendarItem
`getBusyStatus, getDuration, getEndTime, getLocation, getStartTime, isAllDayEvent, isRecurring`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    static final ItemClass CLASS

  The ItemClass that represents an appointment.

Method Detail

### setLocation

    void setLocation(String sLocation)
                     throws CollaborationException

  Sets the location of the appointment.

  Parameters
    `sLocation` - the location
  Throws
    `CollaborationException` - if there was an error setting the location

### setDates

    void setDates(Date startTime,
                  Date endTime)
                  throws CollaborationException

  Sets the dates for the appointment. Resets the All Day Event flag to `false`.

  Parameters
    `startTime` - the start date and time
    `endTime` - the end date and time
  Throws
    `CollaborationException` - if there was an error setting the times
  See Also
    `ICalendarItem.IS_ALL_DAY`

### cancel

    void cancel(String sComment,
                boolean bSeries,
                boolean bSend,
                boolean bSaveInSent)
                throws CollaborationException

  Cancels the appointment, if appropriate.

  Parameters
    `sComment` - the comment
    `bSeries` - `true` if cancelling the whole series (if recurring)
    `bSend` - `true` to send the cancellation notice
    `bSaveInSent` - `true` to save the cancellation, if sending
  Throws
    `CollaborationException` - if there was an error canceling the appointment

### setAllDayEvent

    void setAllDayEvent(boolean bAllDayEvent)
                        throws CollaborationException

  Sets the appointment to appear as an all day event. Modifying this property affects the dates and times of an appointment. Changing an appointment from an all day event will use the start date and set the appointment times from 8:00 AM to 8:30 AM. Specifying start and end dates on different days will force the all day dates for those days. This method will acquire the timezone from the user's session ( `IGroupwareSession.getTimeZone(true)`)

  Note: The Domino provider does not support setting the appointment to all day event after it has been created. Instead, look at using `IDominoAppointment.setAppointmentType` to `AppointmentTypeEnum.ALL_DAY_EVENT`.

  Parameters
    `bAllDayEvent` - `true` if this appointment should become an all day event, `false` otherwise.
  Throws
    `CollaborationException` - if there was an error setting this appointment as an all day event.

### setAllDayEvent

    void setAllDayEvent(boolean bAllDayEvent,
                        TimeZone timezone)
                        throws CollaborationException

  Sets the appointment to appear as an all day event. Modifying this property affects the dates and times of an appointment. Changing an appointment from an all day event will use the start date and set the appointment times from 8:00 AM to 8:30 AM. Specifying start and end dates on different days will force the all day dates for those days.

  Note: The Domino provider does not support setting the appointment to all day event after it has been created. Instead, look at using `IDominoAppointment.setAppointmentType` to `AppointmentTypeEnum.ALL_DAY_EVENT`.

  Parameters
    `bAllDayEvent` - `true` if this appointment should become an all day event, `false` otherwise.
    `timezone` - the timezone to use when calculating the start and end times
  Throws
    `CollaborationException` - if there was an error setting this appointment as an all day event.

### setBusyStatus

    void setBusyStatus(BusyStatus busyStatus)
                       throws CollaborationException

  Sets the busy status for this appointment.

  Parameters
    `busyStatus` - the busy statis to set on the appointment.
  Throws
    `CollaborationException` - if there was a problem setting the specified `BusyStatus` on the appointment.
  See Also
    `ICalendarItem.BUSY_STATUS`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved